info.bioinfweb.jphyloio.events.type

## Class EventType

- java.lang.Object
- - info.bioinfweb.jphyloio.events.type.EventType

- All Implemented Interfaces:
    java.lang.Comparable<EventType>

      public class EventType
      extends java.lang.Object
      implements java.lang.Comparable<EventType>

  Event type object that combines the content and topology type of an event.
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventType(EventContentType contentType, EventTopologyType topologyType)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(EventType other)`
    `boolean` | `equals(java.lang.Object obj)`
    `EventContentType` | `getContentType()`
    `EventTopologyType` | `getTopologyType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventType

          public EventType(EventContentType contentType,
                           EventTopologyType topologyType)

      Creates a new instance of this class.
      Parameters:
        `contentType` - the content type
        `topologyType` - the topology type
      Throws:
        `java.lang.NullPointerException` - if `contentType` or `topologyType` are `null`

  - ### Method Detail

    - #### getContentType

          public EventContentType getContentType()

    - #### getTopologyType

          public EventTopologyType getTopologyType()

    - #### compareTo

          public int compareTo(EventType other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<EventType>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`